%define name joe
%define version 2.9.7
%define release 1
%define mandrake8 0

# Options for Mandrake version:
# rpm -ba|--rebuild --define "mdk8 1"
%{?mdk8:%define mandrake8 1}

Summary: An easy to use, modeless text editor.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Editors
# Source: ftp://ftp.std.com/src/editors/joe-%{version}-%{release}.tgz
Source: ftp://ftp.std.com/src/editors/joe-%{version}.tgz
%if %{mandrake8}
Source1: %{name}_icons.tar.bz2
%endif
BuildRequires: gpm-devel, ncurses-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prefix: %{_prefix}

%description
Joe is an easy to use, modeless text editor which would be very
appropriate for novices.  Joe uses the same WordStar keybindings used in
Borland's development environment.

You should install joe if you've used it before and you liked it, or if
you're still deciding what text editor you'd like to use, or if you have a
fondness for WordStar.  If you're just starting out, you should probably
install joe because it is very easy to use.

%prep
%setup -q
#  -n joe-%{version}-%{release}
%if %{mandrake8}
tar xjvf %{SOURCE1}
%endif
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --sysconfdir=%{_sysconfdir}

%build
%if %{mandrake8}
%make
%else
make
%endif

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{prefix}
%makeinstall

%if %{mandrake8}
install -d %{buildroot}%{_libdir}/menu 
mkdir -p %{buildroot}%{_libdir}/menu/
cat << EOF > %{buildroot}%{_libdir}/menu/%{name}
?package(%{name}):\
	needs="text"\
	section="Applications/Editors"\
	title="Joe"\
	longtitle="Joe - a text ANSI editor"\
	command="%{_bindir}/joe"\
	icon=joe.xpm
EOF

mkdir -p %{buildroot}%{_datadir}/icons/{mini,large}
# cd $RPM_BUILD_DIR/%{name}-%{version}-%{release}
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm %{buildroot}%{_datadir}/icons/mini/%{name}.xpm
install -m 644 %{name}_32.xpm %{buildroot}%{_datadir}/icons/%{name}.xpm
install -m 644 %{name}_48.xpm %{buildroot}%{_datadir}/icons/large/%{name}.xpm
%endif

strip %{buildroot}%{prefix}/bin/* || :

%if %{mandrake8}
%post
%{update_menus}

%postun
%{clean_menus}
%endif

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/joe-%{version}-%{release}

%files
%defattr (-,root,root)
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
%{_mandir}/man1/joe.1*
%if %{mandrake8}
%{_libdir}/menu/joe
%{_datadir}/icons/%{name}.xpm
%{_datadir}/icons/large/%{name}.xpm
%{_datadir}/icons/mini/%{name}.xpm
%endif
